Link Funded Development Page to Funded Projects/Jobs

Bug #1428463 reported by Dave Crossland on 2015-03-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Inkscape-website
Undecided
Bryce Harrington

Bug Description

https://inkscape.org/en/support-us/funded-development/ says

> We maintain a listing of proposed (unfunded) projects.

This should link to this list of Proposed Projects

Similarly it says,

> Once a proposal meets all 5 of these conditions it is considered an Approved Job.

This should link to this list of Approved Jobs

> This amount is displayed on the web for developers to browse when selecting a job to do.

Where is this displayed?

There are other lists (Job Proposals, Monthly Progress Reports, etc)

Hachmann (marenhachmann) wrote :

Hi Dave,

You are right, those funded projects are not released yet, they still need some good descriptions and instructions (if you can help with that, please send a message to the developers' mailing list).
When they are ready, we will add the links to that page, of course.
Until then, we'd like to keep the funded projects text on the site, for information purposes.

We'll keep this bug report so we will remember more easily to update the links when the time has come.

Changed in inkscape-web:
milestone: none → cms
Hachmann (marenhachmann) on 2015-03-05
Changed in inkscape-web:
status: New → Confirmed
Bryce Harrington (bryce) wrote :

The Inkscape Board has approved three projects to be funded, and has also earmarked $250 each to them. The projects are

I don't know if it's live yet, but Martin Owens developed the supporting code for entering and displaying projects, but it's still a work in progress. A python programmer with time to learn and hack on Django would help a long way here. The work is not hard, just time consuming. (I can provide more details if interested.)

Meanwhile, if you want to have projects added to the list, or if you want to earmark your donations to one of the three accepted projects, drop me an email and I'll handle it manually for now.

Martin Owens (doctormo) wrote :

Let's make it happen at LGM! :-D The physical LGM space will allow us
to hash out the remaining user interface for the projects.

On 5 March 2015 at 15:14, Dave Crossland <email address hidden> wrote:
> Lets discuss at LGM :)
>
> --
> You received this bug notification because you are subscribed to
> Inkscape-website.
> Matching subscriptions: I need to know.
> https://bugs.launchpad.net/bugs/1428463
>
> Title:
> Link Funded Development Page to Funded Projects/Jobs
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/inkscape-web/+bug/1428463/+subscriptions

Hachmann (marenhachmann) wrote :

Just for completeness, in case someone else stumbles over this bug report:
It's 'Box Blur', 'Remove all use of GList and GSList' and 'SVG2 compliant flowed text'.

Hachmann (marenhachmann) wrote :

The topic is also on the Agenda for Board meetings currently, maybe it will be launched soon.
The template (in trunk *and* live) is currently not fit for use (it contains fixed amounts of money)

Just a note:
the paypal problem is somehow related to this:
https://bugs.launchpad.net/inkscape-web/+bug/1432389

Bryce Harrington (bryce) wrote :

Thanks for raising this. Yes, it's still much a WIP, but it's been long
in the works, we need to finish getting stuff hooked up.

The next action on my list with this is to get better descriptions for
the three pre-funded projects, so when people browse them they make
sense. I did one of the three descriptions, Tav and Josh are handling
the other two. At the meeting I hope to check status with them on
that. Once those are written we can move forward to getting the links
hooked up better.

Also, in general the funded projects procedure suggests several UI tools
that simply haven't been coded yet. If you know of anyone interested in
doing some Django dev work, I can definitely put them to work on it.
Otherwise eventually I'll get to it myself.

Thanks,
Bryce

On Wed, Sep 30, 2015 at 06:28:16PM -0000, Hachmann wrote:
> The topic is also on the Agenda for Board meetings currently, maybe it will be launched soon.
> The template (in trunk *and* live) is currently not fit for use (it contains fixed amounts of money)
>
> Just a note:
> the paypal problem is somehow related to this:
> https://bugs.launchpad.net/inkscape-web/+bug/1432389
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1428463
>
> Title:
> Link Funded Development Page to Funded Projects/Jobs
>
> Status in Inkscape-website:
> Confirmed
>
> Bug description:
> https://inkscape.org/en/support-us/funded-development/ says
>
> > We maintain a listing of proposed (unfunded) projects.
>
> This should link to this list of Proposed Projects
>
> Similarly it says,
>
> > Once a proposal meets all 5 of these conditions it is considered an
> Approved Job.
>
> This should link to this list of Approved Jobs
>
> > This amount is displayed on the web for developers to browse when
> selecting a job to do.
>
> Where is this displayed?
>
> There are other lists (Job Proposals, Monthly Progress Reports, etc)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/inkscape-web/+bug/1428463/+subscriptions

Bryce Harrington (bryce) wrote :

On Wed, Sep 30, 2015 at 06:28:16PM -0000, Hachmann wrote:
> The topic is also on the Agenda for Board meetings currently, maybe it will be launched soon.
> The template (in trunk *and* live) is currently not fit for use (it contains fixed amounts of money)
>
> Just a note:
> the paypal problem is somehow related to this:
> https://bugs.launchpad.net/inkscape-web/+bug/1432389

Btw I can't access this bug report (maybe it's private?) Mind
summarizing it for me, or subbing me to it?

> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1428463
>
> Title:
> Link Funded Development Page to Funded Projects/Jobs
>
> Status in Inkscape-website:
> Confirmed
>
> Bug description:
> https://inkscape.org/en/support-us/funded-development/ says
>
> > We maintain a listing of proposed (unfunded) projects.
>
> This should link to this list of Proposed Projects
>
> Similarly it says,
>
> > Once a proposal meets all 5 of these conditions it is considered an
> Approved Job.
>
> This should link to this list of Approved Jobs
>
> > This amount is displayed on the web for developers to browse when
> selecting a job to do.
>
> Where is this displayed?
>
> There are other lists (Job Proposals, Monthly Progress Reports, etc)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/inkscape-web/+bug/1428463/+subscriptions

Hachmann (marenhachmann) wrote :

Subscribed you, Bryce. Does it work now?

Bryce Harrington (bryce) wrote :

Thanks yep it works.

On Wed, Sep 30, 2015 at 10:06:20PM -0000, Hachmann wrote:
> Subscribed you, Bryce. Does it work now?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1428463
>
> Title:
> Link Funded Development Page to Funded Projects/Jobs
>
> Status in Inkscape-website:
> Confirmed
>
> Bug description:
> https://inkscape.org/en/support-us/funded-development/ says
>
> > We maintain a listing of proposed (unfunded) projects.
>
> This should link to this list of Proposed Projects
>
> Similarly it says,
>
> > Once a proposal meets all 5 of these conditions it is considered an
> Approved Job.
>
> This should link to this list of Approved Jobs
>
> > This amount is displayed on the web for developers to browse when
> selecting a job to do.
>
> Where is this displayed?
>
> There are other lists (Job Proposals, Monthly Progress Reports, etc)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/inkscape-web/+bug/1428463/+subscriptions

Hachmann (marenhachmann) wrote :

As this bug report is about the cms changes which will be necessary when it works, I've just now added a bug report for the models and page themselves here: https://bugs.launchpad.net/inkscape-web/+bug/1513957

Hachmann (marenhachmann) on 2015-11-06
tags: added: content
Dave Crossland (davelab6) wrote :

Ah I see the next board meeting is in 2 days time, on Friday! I wonder if there's anything the board needs to approve to keep this moving forwards, or what the next actions are? :)

Hachmann (marenhachmann) wrote :

See my comment on the github issue, Dave :)

Dave Crossland (davelab6) wrote :

Ah so I checked the board minutes, and on December 5 Bryce said,

"a lot of the work right now is design stuff, so like laying out what web pages should look like, and how verbage should be phrased, mockups of things would help me out a lot"

Where can we see what was done so far?

Hachmann (marenhachmann) wrote :

Visit http://wiki.inkscape.org/wiki/index.php/WebSite to learn how to setup a local instance of our development server (bottom of the page), there, check out the 'releases' app.

If the one who wants to help with it is knowledgeable in django 1.8 / 1.7 differences, they should know that doctormo is currently working on updating to django 1.8 (there's a separate branch).

Hachmann (marenhachmann) wrote :

Two weeks ago, Bryce and I started to have a go at the basic functionality.
Unfortunately, as we are both not exactly 'django experts', we didn't get really far. Results can be found in this branch:
https://code.launchpad.net/~marenhachmann/inkscape-web/projects-pages

Beluga (buovjaga) wrote :

There is already a Django-based funding platform. It is called FreedomSponsors: https://github.com/freedomsponsors/www.freedomsponsors.org

Is there a reason you can't install an instance of FreedomSponsors and use it instead of rolling your own platform from scratch?

Hachmann (marenhachmann) wrote :

@Beluga: thank you for your suggestion - we'll take a look!

Mmmh. The core functionality is similar, but the part with deliverables / criteria / vetting / application seems to be missing, and it probably would need quite some adaptation work to integrate with our own API for managing payments.
In other areas, it seems to be much too large for what we need, or adds functionality we already have, but standalone, it's certainly nice. Not sure how well it would integrate with our own project.

Also, the order is different for us: It is planned that people donate for a specific problem first, then a developer starts to work on it. And if the problem is not resolved within a certain amount of time, and the issue expires, the money is supposed to go to the Inkscape Fund. See our Funded Development page for more info on the proceedings: https://inkscape.org/en/support-us/funded-development/

Code documentation is partially in Brazilian...

From my point of view, it's certainly useful to take a look, compare, and maybe 'steal' some ideas from them, but I wouldn't want to use it directly.

@Bryce: what's your take on this?

Dave Crossland (davelab6) wrote :

I agree, I think Inkscape has its own process and thus needs its own
software.

On 5 February 2016 at 10:04, Hachmann <email address hidden> wrote:

> @Beluga: thank you for your suggestion - we'll take a look!
>
> Mmmh. The core functionality is similar, but the part with deliverables /
> criteria / vetting / application seems to be missing, and it probably would
> need quite some adaptation work to integrate with our own API for managing
> payments.
> In other areas, it seems to be much too large for what we need, or adds
> functionality we already have, but standalone, it's certainly nice. Not
> sure how well it would integrate with our own project.
>
> Also, the order is different for us: It is planned that people donate
> for a specific problem first, then a developer starts to work on it. And
> if the problem is not resolved within a certain amount of time, and the
> issue expires, the money is supposed to go to the Inkscape Fund. See our
> Funded Development page for more info on the proceedings:
> https://inkscape.org/en/support-us/funded-development/
>
> Code documentation is partially in Brazilian...
>
> >From my point of view, it's certainly useful to take a look, compare,
> and maybe 'steal' some ideas from them, but I wouldn't want to use it
> directly.
>
> @Bryce: what's your take on this?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1428463
>
> Title:
> Link Funded Development Page to Funded Projects/Jobs
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/inkscape-web/+bug/1428463/+subscriptions
>

--
Cheers
Dave

Bryce Harrington (bryce) wrote :
Download full text (3.5 KiB)

On Fri, Feb 05, 2016 at 03:04:14PM -0000, Hachmann wrote:
> @Beluga: thank you for your suggestion - we'll take a look!
>
> Mmmh. The core functionality is similar, but the part with deliverables / criteria / vetting / application seems to be missing, and it probably would need quite some adaptation work to integrate with our own API for managing payments.
> In other areas, it seems to be much too large for what we need, or adds functionality we already have, but standalone, it's certainly nice. Not sure how well it would integrate with our own project.
>
> Also, the order is different for us: It is planned that people donate
> for a specific problem first, then a developer starts to work on it. And
> if the problem is not resolved within a certain amount of time, and the
> issue expires, the money is supposed to go to the Inkscape Fund. See our
> Funded Development page for more info on the proceedings:
> https://inkscape.org/en/support-us/funded-development/
>
> Code documentation is partially in Brazilian...
>
> >From my point of view, it's certainly useful to take a look, compare,
> and maybe 'steal' some ideas from them, but I wouldn't want to use it
> directly.
>
> @Bryce: what's your take on this?

That would be great if it could be dropped in to provide what we need.
I'd even be willing to look at restructuring our processes to use this
software and recoup the time that will have to be spent doing our own
thing. I'd really rather use that time for something more enjoyable...

But I have to concur with Martin's assessment. It's a whole
application, and not structured to be "drop in"-able, as it includes the
whole user management system and so on. A large chunk has to do with
payment mechanisms, which I was planning on leaving abstracted out since
SFC largely takes care of all those bits for us.

The comments are in Portuguese but that's not a big deal; the code is
clear enough. A larger issue is there's no overall design doc (at least
not that I can find on a quick poke around - if someone spots one let me
know). But looking mostly at its model.py, while the app has a
remarkable amount of code, it appears to be focused on a rather high
level; what we refer to as Projects is analogous to their Issues, and
the amount of detail they track for an Issue is fairly light, basically
just description, a bit of state, comments, and bids.

So… even if the code was drop-in-able, like Martin says we'd need to do
quite a bit more development on top of this if we want something like
we've planned for. In this case, it'd make sense to build on their work
and contribute back to build a common codebase.

Is there code from the core model we can borrow? Not directly; except
for the Offers/Solutions our codebase is already beyond this in terms of
details, even though we're still quite early in our own development
plans. Indirectly there's probably some snippets and general design
approaches that could be taken; this alone will be a huge help, if
nothing else, so thanks muchly for passing this along.

There is also the views and templates that could be borrowed from, but
those are perhaps lower opportunities, since we generally would prefer
c...

Read more...

Hachmann (marenhachmann) wrote :

(@Bryce: Did Martin say anything about this anywhere? Maybe at the board meeting?)

Martin Owens (doctormo) wrote :

Bryce has mistaken you for me, Maren. :-) We look so similar.

Hachmann (marenhachmann) wrote :

In writing, at least... :P

Bryce Harrington (bryce) wrote :

On Sun, Feb 07, 2016 at 04:52:59AM -0000, Martin Owens wrote:
> Bryce has mistaken you for me, Maren. :-) We look so similar.

Doh, sorry. Can I blame the confusion on my headcold?

> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1428463
>
> Title:
> Link Funded Development Page to Funded Projects/Jobs
>
> Status in Inkscape-website:
> Confirmed
>
> Bug description:
> https://inkscape.org/en/support-us/funded-development/ says
>
> > We maintain a listing of proposed (unfunded) projects.
>
> This should link to this list of Proposed Projects
>
> Similarly it says,
>
> > Once a proposal meets all 5 of these conditions it is considered an
> Approved Job.
>
> This should link to this list of Approved Jobs
>
> > This amount is displayed on the web for developers to browse when
> selecting a job to do.
>
> Where is this displayed?
>
> There are other lists (Job Proposals, Monthly Progress Reports, etc)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/inkscape-web/+bug/1428463/+subscriptions

Bryce Harrington (bryce) on 2016-05-08
Changed in inkscape-web:
assignee: nobody → Bryce Harrington (bryce)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers